Maven & Jetty Plugin - PWC6345: There is an error in invoking javac. A full JDK (not just JRE) is required 에러가 날때.

이클립에서 Maven과 Jetty Plugin을 이용해서 뭔가를 쪼물락 거릴때 저런 에러가 났다.

이유는 workspace 에서 사용하도록 디폴트로 설정된게 JDK 가 아닌 JRE 라서 나는 에러인것 같다.

죠것을 해결하기 위해서는

Window >  Preference > Java >  Installed JREs 에 가보면 현재 사용한다고 체크되 있는것이 JDK 가 이닌 JRE 일껀데 고 체크되있는 것을 클릭한후 Edit 버튼을 눌러서 JDK 로 바꿔주면 된다.

만약 JDK로 바꿨는데 에러모양이 뜨면 Project > Clean 으로 클린을 한번싹 시켜주면 된다~

선택후 Edit 버튼클릭


JDK 가 설치된 디렉토리로 변경해준다.


Trackback 0 Comment 4
  1. d 2013.06.17 22:22 address edit & del reply

    감사합니다. 많은 도움이 되었네요^^

  2. aa 2014.11.07 15:38 address edit & del reply

    감사합니다! ㅠㅠㅠ 덕분에 해결 되었어요!

  3. bb 2014.12.31 00:48 address edit & del reply

    감사합니다. 덕분에 의문점이 풀렸어요!

  4. 2eel 2015.06.21 22:55 address edit & del reply

    감사합니다 도움 되었습니다~!!

prev 1 ··· 206 207 208 209 210 211 212 213 214 ··· 223 next